function [bits_data_1 bits_data_2] = decode_2x2_mimo(rx_signal_1,rx_signal_2)
% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% September 30, 2013
%

load ../Mat_Files/Parameters.mat

% Use this variable to keep track at which sample you are  in packet
current_index = 1 + ceil(3*cp/4);

%% Create narrowband H matrix

... add your code here

%% Separate the two streams into two packets

... add your code here ...
 
packet_samples_1= ... add your code here ... 
packet_samples_2= ... add your code here ...

%% Decode the two packets separately.

packet_samples_1 = [packet_samples_1(1:num_bins*2+cp),packet_samples_1(num_bins*4+cp*2+1:end)];
packet_samples_2 = packet_samples_2(num_bins*2+cp+1:end);

bits_data_1 = rx_ofdm_chain_synced(packet_samples_1);
bits_data_2 = rx_ofdm_chain_synced(packet_samples_2);


end